it-roy-ru.com

tool: replace = Android: значение элемента <meta-data> в AndroidManisfest.xml: 25: 5-17: 34 для переопределения

Ошибка: не удалось выполнить задачу ':app:processDebugManifest'.

Ошибка слияния манифеста: Атрибут meta-data#[email protected] value = (25.3.0) из [com.Android.support:design:25.3.0] AndroidManifest.xml: 27: 9-31 также присутствует в [com.Android.support:support-v4:25.3.1] AndroidManifest.xml: 27: 9-31 value = (25.3.1) . Предложение: добавьте 'tools: replace = "Android: value"' к элементу в AndroidManifest.xml: 25: 5-27: 34, чтобы переопределить.

<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:Android="http://schemas.Android.com/apk/res/Android"
    xmlns:tools="http://schemas.Android.com/tools"
    package="com.helploger.www.swipeview">
<uses-permission Android:name="Android.permission.INTERNET"></uses-permission>
    <application
        Android:fullBackupContent="false"
        Android:allowBackup="true"
        Android:icon="@mipmap/ic_launcher"
        Android:label="@string/app_name"
        Android:roundIcon="@mipmap/ic_launcher_round"
        Android:supportsRtl="true"
        Android:theme="@style/AppTheme">

        <activity
            Android:name=".MainActivity"
            Android:label="@string/app_name"
            Android:theme="@style/AppTheme.NoActionBar">
            <intent-filter>
                <action Android:name="Android.intent.action.MAIN" />

                <category Android:name="Android.intent.category.LAUNCHER" />
            </intent-filter>
            <intent-filter>
                <action Android:name="Android.intent.action.VIEW" />
                <category Android:name="Android.intent.category.DEFAULT"
                   />
            </intent-filter>
        </activity>
    </application>

</manifest>
8
user7989906

Вы используете несколько версий библиотек поддержки Android:

Переместите все свои библиотеки поддержки в одну версию 25.3.1 или 25.3.0 У меня возникла точно такая же ошибка после перемещения всех библиотек поддержки в 25.3.1, моя ошибка была удалена.

9
Muhammad Ahmed Ali Baig

Если вы, ребята, получаете эту ошибку в Ionic/Ionic 3/Cordova, проверьте строку ниже в вашем файле project.properties. Измените плюс к своей версии.

cordova.system.library.7=com.Android.support:support-v4:+  
0
Memphis335